Version 2.2.4

Released on 2017/11/27.

Note

If you are upgrading a cluster, you must be running CrateDB Version 1.1.3 or higher before you upgrade to 2.2.4.

If you want to perform a rolling upgrade, your current CrateDB version number must be Version 2.2.0. If you want to upgrade from a version prior to this, the upgrade will introduce all of the breaking changes listed for Version 2.2.0, and will require a full restart upgrade.

Warning

Before upgrading, you should back up your data.

Table of contents

Changelog

Fixes

  • Handle MultiPolygon shapes in WITHIN queries correctly instead of throwing an exception.
  • Fixed an exception which occurred when using the _id system column in IN or ANY queries.
  • The target table name used in ALTER TABLE ... RENAME TO is now correctly validated.
  • Fixed a regression that caused DELETE statements with a filter on PRIMARY KEY columns that don’t match to fail instead of returning with a row count of 0.